@import '../variables';
@import '../keyframes';

#popup-wrapper {
  position: fixed;
  bottom: 3%;
  left: 2%;
  z-index: 50;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
  @media #{$mq-phone} {
    left: 50%;
    transform: translateX(-50%);
  }

  .popup-fade-out {
    opacity: 0;
  }

  .popup {
    margin-top: 20px;
    position: relative;
    width: 300px;
    height: 100px;
    background: $bg;
    background-clip: padding-box;
    border-radius: 20px;
    border: solid 7px transparent;
    -webkit-transition: all 0.2s;
    transition: all 0.2s;
    animation: fadeIn 0.3s;

    &:after {
      content: '';
      position: absolute;
      z-index: -2;
      bottom: -5px;
      left: -2%;
      height: 110%;
      width: 104%;
      opacity: 0.4;
      border-radius: inherit;
      background: $grad1;
      -webkit-filter: blur(6px);
      -moz-filter: blur(6px);
      -o-filter: blur(6px);
      -ms-filter: blur(6px);
      filter: blur(6px);
      animation: fadeInBlur 0.6s;
    }

    .popup-content {
      position: absolute;
      left: 5%;
      top: 50%;
      transform: translateY(-50%);
      display: flex;
      align-items: center;
      max-width: 75%;

      p {
        margin-left: 10px;
        font-size: 1.1rem;
        line-height: 1.2rem;
      }

      .popup-icon {
        position: relative;
        width: 60px;
        height: auto;

        svg {
          vertical-align: middle;
        }
      }

      .popup-icon-0 {
        fill: #3294cc;
      }
      .popup-icon-1 {
        fill: $gradient2;
      }
      .popup-icon-2 {
        fill: darken($gradient1, 10%);
      }
    }

    button {
      position: absolute;
      bottom: 10%;
      right: 8%;
      font-weight: 600;
      font-style: italic;
      text-transform: uppercase;
      font-size: 1.2rem;
      transition: 0.1s all ease-in-out;
      background: $grad1;
      background-clip: text;
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
    }
  }
}
